curl -X POST 'https://api.sendforsign.com/api/template' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "convert",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"template": {
"name": "New template",
"contractKey": "CONTRACT_KEY"
}
}
}'
{
"template": {
"createTime": "2023-12-01 12:18:55",
"templateKey": "TEMPLATE_KEY"
},
"code": "201",
"message": "Template created"
}
Template
Convert into template
Convert a contract into a template.
POST
/
api
/
template
curl -X POST 'https://api.sendforsign.com/api/template' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "convert",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"template": {
"name": "New template",
"contractKey": "CONTRACT_KEY"
}
}
}'
{
"template": {
"createTime": "2023-12-01 12:18:55",
"templateKey": "TEMPLATE_KEY"
},
"code": "201",
"message": "Template created"
}
When converting a contract into a template, all content will be transferred to the template,
and all placeholders will be transferred with their values removed. The original contract will remain unchanged.
Body parameters
object
required
Show child attribute
Show child attribute
string
required
Action type.
string
required
Key of the client.
string
ID of the user who converts a contract into a template. If not specified, the default user credentials will be used.
Response
string
The code of the answer.
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/template' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "convert",
"clientKey": "YOUR_CLIENT_KEY",
"userKey": "USER_KEY",
"template": {
"name": "New template",
"contractKey": "CONTRACT_KEY"
}
}
}'
{
"template": {
"createTime": "2023-12-01 12:18:55",
"templateKey": "TEMPLATE_KEY"
},
"code": "201",
"message": "Template created"
}